﻿using DapperORM.Models;
using PushPlatform.Common.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Act.Models.Tables
{
    /// <summary>
    /// 消息推送配置模板
    /// </summary>
    public class Sys_Push : BaseModel
    {
        /// <summary>
        /// 构造函数
        /// </summary>
        public Sys_Push() { }

        /// <summary>
        /// 构造函数
        /// </summary>
        /// <param name="pushConfig">core层的数据对象</param>
        public Sys_Push(PushInfo.Core.Models.Tables.Sys_Push pushConfig)
        {
            ObjectHelper.CopyProperties(pushConfig, this);
        }

        public string PushSys_ProId { get; set; }
        public string Name_Des { get; set; }

        public System.String Push_Target { get; set; }

        public string Push_Style { get; set; }

        public System.String Push_Title { get; set; }

        public System.String Push_Body { get; set; }

        public System.Int32? Push_Type { get; set; }

        public System.Int32? Push_Cycle { get; set; }

        public System.String Push_Month { get; set; }

        public System.String Push_Which { get; set; }

        public System.String Push_Action { get; set; }

        public System.Int32? Push_ActionType { get; set; }

        public System.String Push_IosLink { get; set; }

        public System.String Push_AndLink { get; set; }

        public System.String Push_WebLink { get; set; }

        public System.String Push_WechatLink { get; set; }

        public System.String Db_ConnectId { get; set; }
        /// <summary>
        /// 查询用户语句
        /// </summary>
        public System.String Push_User_Action { get; set; }
        /// <summary>
        /// 查询推送用户数据来源方式
        /// </summary>
        public System.Int32? Push_User_ActionType { get; set; }
        /// <summary>
        /// 查询推送用户数据库连接
        /// </summary>
        public System.String Db_User_ConnectId { get; set; }
    }
}
